Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230879 - Strip special characters from trackname does not work for < character
Summary: Strip special characters from trackname does not work for < character
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: sound-juicer
Version: 6
Hardware: i686
OS: Linux
medium
low
Target Milestone: ---
Assignee: Bastien Nocera
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-03-04 05:26 UTC by John
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-03-05 10:46:13 UTC


Attachments (Terms of Use)

Description John 2007-03-04 05:26:03 UTC
Description of problem: If the character < is part of a track filename and strip
special characters is selected in options, sound-juicer will fail to replace the
< character with a _ character. Instead a  is inserted. Causes Rip to fail if
ripping to VFAT file system.

Version-Release number of selected component (if applicable): 2.16.3

How reproducible: Every time.

Steps to Reproduce:
1. In preferences, select a folder on a VFAT partition as your Music Folder. 
2. Insert the < character into any track name(anywhere)
3. Hit enter.
4. Click on extract.
  
Actual results:
Sound Juicer could not extract this CD.
Reason: Could not open vfs file
"file:///home/Gamma9/storage/Ottmar_Liebert___Luna_Negra/Rumba_Collection_Greatest_Hits_1992-1997/01_-_g
 s.flac" for writing: Invalid parameters.

Then on closing above dialog box:
Sound Juicer could not extract this CD.
Reason: Error starting ripping pipeline
And closing above dialog causes program to exit.

Expected results:
Should extract file to
"file:///home/Gamma9/storage/Ottmar_Liebert___Luna_Negra/Rumba_Collection_Greatest_Hits_1992-1997/01_-_g
_s.flac

Additional info:

Comment 1 Bastien Nocera 2007-03-05 10:46:13 UTC
Filed upstream:
http://bugzilla.gnome.org/show_bug.cgi?id=414859


Note You need to log in before you can comment on or make changes to this bug.